various fixes, add emacs wrappers
[distro-setup] / rootsshsync
index aef668a7b61b9bb9e80bf8af26b76f8705028b84..592a5aafe8cc14c2c1efdc12e4215497233eefc0 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash -l
+#!/bin/bash
 # Copyright (C) 2016 Ian Kelling
 
 # Licensed under the Apache License, Version 2.0 (the "License");
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if s test -e /q/root/.ssh; then
-    s lnf /q/root/.ssh /root
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
+if sudo test -e /q/root/.ssh; then
+    sudo /a/exe/lnf /q/root/.ssh /root
 else
-    mkdir /root/.ssh
+    sudo mkdir /root/.ssh
 fi
-s cp -rL $(eval echo ~${SUDO_USER:-$USER})/.ssh/* /root/.ssh
-s chown -R root:root /root/.ssh
+sudo cp -rL $(eval echo ~${SUDO_USER:-$USER})/.ssh/* /root/.ssh
+sudo chown -R root:root /root/.ssh